Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ToolButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ToolButton. More...

`#include <xfc/gtk/toolbuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::ToolButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_clicked ()
    Called when the tool button is clicked with the mouse or activated with the keyboard.

## Protected Member Functions

Constructors

- ToolButtonSignals (ToolButton *tool_button)
    Construct a new ToolButtonSignals object.
- virtual ~ToolButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ToolButton.

## Constructor & Destructor Documentation

Xfc::Gtk::ToolButtonSignals::ToolButtonSignals | ( | ToolButton * | tool_button | ) | `[protected]`

Construct a new ToolButtonSignals object.

Parameters:

  | tool_button | A ToolButton object inheriting the ToolButtonSignals implementation.

The documentation for this class was generated from the following file:

- toolbuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3